Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.lifecycle.listeners
Interface TaskLifeCycleEventListener

All Known Implementing Classes:
  BAMTaskEventListener, DefaultTaskLifeCycleEventListener, ExternalTaskEventListener, InternalTaskLifeCycleEventListener, JPATaskLifeCycleEventListener

    public interface TaskLifeCycleEventListener

Method Summary
`void` | `afterTaskActivatedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskAddedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskClaimedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskCompletedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskExitedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskFailedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskSkippedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskStartedEvent(org.kie.internal.task.api.model.Task ti)`
`void` | `afterTaskStoppedEvent(org.kie.internal.task.api.model.Task ti)`

Method Detail

### afterTaskActivatedEvent

    void afterTaskActivatedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskClaimedEvent

    void afterTaskClaimedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskSkippedEvent

    void afterTaskSkippedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskStartedEvent

    void afterTaskStartedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskStoppedEvent

    void afterTaskStoppedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskCompletedEvent

    void afterTaskCompletedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskFailedEvent

    void afterTaskFailedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskAddedEvent

    void afterTaskAddedEvent(org.kie.internal.task.api.model.Task ti)

### afterTaskExitedEvent

    void afterTaskExitedEvent(org.kie.internal.task.api.model.Task ti)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.